#
# spec file for package python-zopfli
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-zopfli
Version:        0.2.3
Release:        1.4
Summary:        Zopfli module for python
License:        Apache-2.0
URL:            https://github.com/obp/py-zopfli
Source:         https://files.pythonhosted.org/packages/source/z/zopfli/zopfli-%{version}.zip
BuildRequires:  %{python_module devel >= 3.8}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  libzopfli-devel >= 1.0.3
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
%python_subpackages

%description
Zopfli module for python

%prep
%setup -q -n zopfli-%{version}

%build
export USE_SYSTEM_ZOPFLI=1
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
%pytest_arch

%files %{python_files}
%doc README.rst
%license COPYING
%{python_sitearch}/zopfli
%{python_sitearch}/zopfli-%{version}*-info

%changelog
* Thu Oct  5 2023 Dirk Müller <dmueller@suse.com>
- update to 0.2.3:
  * Dropped support for Python 3.7, added support for Python
    3.12. No other code changes.
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 Matej Cepl <mcepl@suse.com>
- Make calling of %%{sle15modernpython} optional.
* Thu Dec 15 2022 Torsten Gruner <simmphonie@opensuse.org>
- update to 0.2.2
  * Added pyproject.toml to source distribution
  * Published precompiled wheels for Python 3.11
- version 0.2.1
  * [zopfli.png] Only print debug info to console output when -v/--verbose flag is used.
- version 0.2.0
  * Dropped support for EOL Python 2.7 and 3.6, require Python 3.7+ (#16).
  * Added support for compressing PNGs via zopfli.png.optimize method. Also available from
  the command line as python -m zopfli.png; mimics the upstream's zopflipng c++ executable (#17).
- version 0.1.9
  * Allow to link against system installed zopfli library by setting
    USE_SYSTEM_ZOPFLI environment variable (#9).
  * Added wheels for Python 3.10, universal2 macos "fat" (x86_64 + arm64)
    architecture, Linux aarch64 and pypy3 (#10, #11).
  * Determine package version automatically from latest git tag using setuptools_scm.
* Mon Jul 12 2021 Markéta Machová <mmachova@suse.com>
- update to 0.1.8
  * add Python 3.9, remove 3.5 (EOL)
* Wed May 20 2020 Antonio Larrosa <alarrosa@suse.com>
- Initial release of python-zopfli
